<?php
/**
 * Opponent template
 *
 * Template file for showing opponent.
 *
 * @package The Soccer Stats
 * @since 1.0
 */

get_header();
?>

<?php
$json = tss_get_matches_by_opponent($post->ID);
$data = json_decode( $json );
?>
<div class="bootstrap-wrapper">
	<div class="<?php echo tss_get_container() ?>">
		<div class="row">
			<div class="col-sm-12">
				<h2><?php echo esc_html__( 'Stats against this opponent', 'tss' ) ?></h2>
				<table class="table">
					<thead>
						<tr>
							<th><?php echo esc_html__( 'Location', 'tss' ) ?></th>
							<th class="text-center"><?php echo esc_html__( 'W', 'tss' ) ?></th>
							<th class="text-center"><?php echo esc_html__( 'D', 'tss' ) ?></th>
							<th class="text-center"><?php echo esc_html__( 'L', 'tss' ) ?></th>
							<th class="text-center"><?php echo esc_html__( 'GD', 'tss' ) ?></th>
						</tr>
					</thead>
					<tbody>

						<tr>
							<td><strong><?php echo esc_html__( 'Home', 'tss' ) ?></strong></td>
							<td class="text-center"><?php echo esc_html( $data->stats[0]->homewins ) ?></td>
							<td class="text-center"><?php echo esc_html( $data->stats[0]->homedraws ) ?></td>
							<td class="text-center"><?php echo esc_html( $data->stats[0]->homeloses ) ?></td>
							<td class="text-center"><?php echo esc_html( $data->stats[0]->homegoals . '-' . $data->stats[0]->homegoals_against ) ?></td>
						</tr>

						<tr>
							<td><strong><?php echo esc_html__( 'Away', 'tss' ) ?></strong></td>
							<td class="text-center"><?php echo esc_html( $data->stats[0]->awaywins ) ?></td>
							<td class="text-center"><?php echo esc_html( $data->stats[0]->awaydraws ) ?></td>
							<td class="text-center"><?php echo esc_html( $data->stats[0]->awayloses ) ?></td>
							<td class="text-center"><?php echo esc_html( $data->stats[0]->awaygoals . '-' . $data->stats[0]->awaygoals_against ) ?></td>
						</tr>

						<tr>
							<td><strong><?php echo esc_html__( 'Neutral', 'tss' ) ?></strong></td>
							<td class="text-center"><?php echo esc_html( $data->stats[0]->neutralwins ) ?></td>
							<td class="text-center"><?php echo esc_html( $data->stats[0]->neutraldraws ) ?></td>
							<td class="text-center"><?php echo esc_html( $data->stats[0]->neutralloses ) ?></td>
							<td class="text-center"><?php echo esc_html( $data->stats[0]->neutralgoals . '-' . $data->stats[0]->neutralgoals_against ) ?></td>
						</tr>

					</tbody>

					<tfoot>
						<tr>
							<td><strong><?php echo esc_html__('Total', 'tss') ?></strong></td>
							<td class="text-center"><?php echo esc_html( $data->stats[0]->totalwins ) ?></td>
							<td class="text-center"><?php echo esc_html( $data->stats[0]->totaldraws ) ?></td>
							<td class="text-center"><?php echo esc_html( $data->stats[0]->totalloses ) ?></td>
							<td class="text-center"><?php echo esc_html( $data->stats[0]->totalgoals . '-' . $data->stats[0]->totalgoals_against ) ?></td>
						</tr>
					</tfoot>
				</table>
			</div>
		</div>

		<div class="row">
			<div class="col-sm-12">
				<h2><?php echo esc_html__( 'Matches against this opponent', 'tss' ) ?></h2>
				<table class="table">
					<thead>
						<tr>
							<th><?php echo esc_html__( 'Date', 'tss' ) ?></th>
							<th class="text-center"><?php echo esc_html__( 'Hometeam', 'tss' ) ?></th>
							<th class="text-center"><?php echo esc_html__( 'Awayteam', 'tss' ) ?></th>
							<th class="text-center"><?php echo esc_html__( 'Matchtype', 'tss' ) ?></th>
							<th class="text-center"><?php echo esc_html__( 'Result', 'tss' ) ?></th>
						</tr>
					</thead>
					<tbody>
						<?php
						foreach ($data->matches as $match) {
							?>
							<tr>
								<td><?php echo esc_html( $match->date ) ?></td>
								<td class="text-center"><?php echo esc_html( $match->hometeam ) ?></td>
								<td class="text-center"><?php echo esc_html( $match->awayteam ) ?></td>
								<td class="text-center"><?php echo esc_html( tss_e_matchtype( $match->matchtype, $match->{'additional-matchtype'} ) ) ?></td>
								<td class="text-center"><a href="<?php echo esc_url( get_permalink( $match->id ) ) ?>"><?php echo esc_html( tss_get_result_string( $match->penalties, $match->overtime, $match->homegoals, $match->awaygoals, $match->homegoalspen, $match->awaygoalspen  ) ) ?></a></td>
							</tr>
							<?php
						}
						?>
					</tbody>
				</table>
			</div>
		</div>
	</div>
</div>

<?php
get_footer();
?>
