<?php
/**
 * Player template
 *
 * Template file for showing player.
 *
 * @package The Soccer Stats
 * @since 1.0
 */

get_header();

$data = tss_get_player_details();

if ( '' != $data[0]['imageurl'] ) {
	$details_class = 'col-sm-8';
} else {
	$details_class = 'col-sm-12';
}

?>

<div class="bootstrap-wrapper">
  <div class="<?php echo tss_get_container() ?>">
    <div class="row">
      <div class="<?php echo esc_html( $details_class ) ?>">
        <h1><?php echo esc_html( $post->post_title ) ?><?php if ( '' != $data[0]['number'] ) {  echo esc_html( ' #' . $data[0]['number'] ); } ?></h1>
        <strong><?php if ( '' != $data[0]['dob'] ) { echo esc_html__( 'Date of birth: ', 'tss' ) . '</strong>' . esc_html( $data[0]['dob'] ) . '</br>'; } ?>
        <strong><?php if ( '' != $data[0]['pob'] ) { echo esc_html__( 'Place of birth: ', 'tss' ) . '</strong>' . esc_html( $data[0]['pob'] ) . '</br>'; } ?>
        <strong><?php if ( '' != $data[0]['position'] ) { echo esc_html__( 'Position: ', 'tss' ) . '</strong>' . esc_html( $data[0]['position'] ) . '</br>'; } ?>
        <strong><?php if ( '' != $data[0]['height'] ) { echo esc_html__( 'Height: ', 'tss' ) . '</strong>' . esc_html( $data[0]['height'] ) . '</br>'; } ?>
        <strong><?php if ( '' != $data[0]['weight'] ) { echo esc_html__( 'Weight: ', 'tss' ) . '</strong>' . esc_html( $data[0]['weight'] ) . '</br>'; } ?>
        <strong><?php if ( '' != $data[0]['previous-clubs'] ) { echo esc_html__( 'Previous clubs: ', 'tss' ) . '</strong>' . esc_html( $data[0]['previous-clubs'] ) . '</br>'; } ?>
        <?php if ( '' != $data[0]['description'] ) { echo  '<h2>' . esc_html__( 'Player description', 'tss' ) . '</h2>' . $data[0]['description']; } ?>
      </div>
		<?php
		if ( '' != $data[0]['imageurl'] ) {
			?>
		  <div class="col-sm-4">
			<img src="<?php echo esc_url( $data[0]['imageurl'] ); ?>" class="img-thumbnail" />
        </div>
        <?php
		}
		?>
    </div>

    <div class="row">
      <div class="col-sm-12">
        <h1><?php echo esc_html__( 'Stats', 'tss' ); ?></h1>
      </div>
    </div>

    <div class="row">
      <div class="col-sm-12">

        <table class="table" id="player-season-by-season">
          <thead>
            <tr>
              <th><?php echo esc_html__( 'Season', 'tss' ) ?> <i class="fa fa-caret-down"></i></th>
              <th class="text-center"><i class="fa fa-user" data-toggle="tooltip" title="<?php echo esc_html__( 'Starts', 'tss' ) ?>"></i> <i class="fa fa-caret-down"></i></th>
              <th class="text-center"><i class="fa fa-exchange" data-toggle="tooltip" title="<?php echo esc_html__( 'Substitutions in', 'tss' ) ?>"></i> <i class="fa fa-caret-down"></i></th>
              <th class="text-center"><i class="fa fa-futbol-o" data-toggle="tooltip" title="<?php echo esc_html__( 'Goals', 'tss' ) ?>"></i> <i class="fa fa-caret-down"></i></th>
              <th class="text-center"><i class="fa fa-exclamation-triangle" data-toggle="tooltip" title="<?php echo esc_html__( 'Yellow cards', 'tss' ) ?>"></i> <i class="fa fa-caret-down"></i></th>
              <th class="text-center"><i class="fa fa-ban" data-toggle="tooltip" title="<?php echo esc_html__( 'Red cards', 'tss' ) ?>"></i> <i class="fa fa-caret-down"></i></th>
            </tr>
          </thead>
          <tbody>
            <?php
						tss_e_player_stats_rows( $post->ID );
						?>
          </tbody>
        </table>
      </div>
    </div>
		<?php

		$latest = array(
			array('title' => __( 'Latest matches in starting 11', 'tss' ), 'table' => 'tss_starters'),
			array('title' => __( 'Latest matches where scored', 'tss' ), 'table' => 'tss_goals'),
			array('title' => __( 'Latest matches where booked', 'tss' ), 'table' => 'tss_yellowcards'),
			array('title' => __( 'Latest matches where sent off', 'tss' ), 'table' => 'tss_redcards')
		);

		foreach ($latest as $row) {
			tss_e_latest_matches_by_player($post->ID, $row['title'], $row['table']);
		}
		?>

  </div>
</div>

<?php
get_footer();
?>
