<?php
/**
 * Season template
 *
 * Template file for showing season.
 *
 * @package The Soccer Stats
 * @since 1.0
 */

get_header();

?>

<div class="bootstrap-wrapper">
  <div class="<?php echo tss_get_container() ?>">
    <div class="row">
      <div class="col-sm-12">
        <h1><?php the_title() ?></h1>
      </div>
    </div>

		<div class="row">
      <div class="col-sm-12">
        <h2><?php echo esc_html__( 'Players', 'tss' ) ?></h2>
				<table class="table" id="player-stats-table">
          <thead>
            <tr>
              <th>Player <i class="fa fa-caret-down"></i></th>
              <th class="text-center"><i class="fa fa-user" data-toggle="tooltip" title="<?php echo esc_html__( 'Starts', 'tss' ) ?>"></i> <i class="fa fa-caret-down"></i></th>
              <th class="text-center"><i class="fa fa-exchange" data-toggle="tooltip" title="<?php echo esc_html__( 'Substitutions in', 'tss' ) ?>"></i> <i class="fa fa-caret-down"></i></th>
              <th class="text-center"><i class="fa fa-futbol-o" data-toggle="tooltip" title="<?php echo esc_html__( 'Goals', 'tss' ) ?>"></i> <i class="fa fa-caret-down"></i></th>
              <th class="text-center"><i class="fa fa-exclamation-triangle" data-toggle="tooltip" title="<?php echo esc_html__( 'Yellow cards', 'tss' ) ?>"></i> <i class="fa fa-caret-down"></i></th>
              <th class="text-center"><i class="fa fa-ban" data-toggle="tooltip" title="<?php echo esc_html__( 'Red cards', 'tss' ) ?>"></i> <i class="fa fa-caret-down"></i></th>
            </tr>
          </thead>
          <tbody>
            <?php
						tss_e_all_player_stats_rows($post->ID);
						?>
          </tbody>
        </table>
      </div>
    </div>
		<?php
		$json = tss_get_matches_in_season($post->ID);
		$data = json_decode( $json );
		?>
		<div class="row">
      <div class="col-sm-12">
        <h2><?php echo esc_html__( 'Matches', 'tss' ) ?></h2>
				<table class="table">
          <thead>
            <tr>
              <th><?php echo esc_html__( 'Date', 'tss' ) ?></th>
              <th class="text-center"><?php echo esc_html__( 'Hometeam', 'tss' ) ?></th>
              <th class="text-center"><?php echo esc_html__( 'Awayteam', 'tss' ) ?></th>
              <th class="text-center"><?php echo esc_html__( 'Matchtype', 'tss' ) ?></th>
              <th class="text-center"><?php echo esc_html__( 'Result', 'tss' ) ?></th>
            </tr>
          </thead>
          <tbody>
            <?php
						foreach ($data as $match) {
							?>
							<tr>
								<td><?php echo esc_html( $match->date ) ?></td>
	              <td class="text-center"><?php echo e_team_with_link( $match->hometeam, $match->{'opponent-id'} ) ?></td>
	              <td class="text-center"><?php echo e_team_with_link( $match->awayteam, $match->{'opponent-id'} ) ?></td>
	              <td class="text-center"><?php echo esc_html( tss_e_matchtype( $match->matchtype, $match->{'additional-matchtype'} ) ) ?></td>
	              <td class="text-center"><a href="<?php echo esc_url( get_permalink( $match->id ) ) ?>"><?php echo esc_html( tss_get_result_string( $match->penalties, $match->overtime, $match->homegoals, $match->awaygoals, $match->homegoalspen, $match->awaygoalspen  ) ) ?></a></td>
							</tr>
							<?php
						}
						?>
          </tbody>
        </table>
      </div>
    </div>
  </div>
</div>

<?php
get_footer();
?>
